#include "data.hpp"
#include <boost/log/trivial.hpp>
#include <cstdlib>
#include <stdexcept>
#include <sys/ipc.h>

namespace data {
key_t getIpcKeyFromExeName(char *argv0) {
  auto k = ftok(argv0, 'X');

  if (k < 0) {
    throw std::runtime_error("failed to get IPC key");
  }

  return k;
}
} // namespace data
